#ifndef __PVCX25CFG_H
#define __PVCX25CFG_H


/////////////////////////////////////////////////////////////////////////////
// CX25PVC dialog

#include "resource.h"
class CPortX25;
class CX25PVC : public CPropertyPage
{
	DECLARE_DYNCREATE(CX25PVC)

// Construction
public:
	CX25PVC();
	~CX25PVC();

// Dialog Data
	//{{AFX_DATA(CX25PVC)
	enum { IDD = IDD_X25_PVC };
	CEdit	m_EditChannel;
	CString	m_szDescription;
	DWORD	m_nChannel;
	//}}AFX_DATA
	CString m_szIPAddress;
	CString m_szSubnetMask;

	DWORD	m_IPAddress[4];
	DWORD	m_SubnetMask[4];

	BOOL m_bConfig;
	DWORD m_nChannelStart;
	DWORD m_nChannelEnd;
	const CPortX25* m_pPort;


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CX25PVC)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CX25PVC)
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusChannel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
// CX25PVCAdvanced dialog

class CX25PVCAdvanced : public CPropertyPage
{
	DECLARE_DYNCREATE(CX25PVCAdvanced)

// Construction
public:
	CX25PVCAdvanced();
	~CX25PVCAdvanced();

// Dialog Data
	//{{AFX_DATA(CX25PVCAdvanced)
	enum { IDD = IDD_X25_PVC_ADVANCED };
	BOOL	m_AutoManage;
	int		m_LocPacket;
	DWORD	m_LocWindow;
	DWORD	m_RemWindow;
	int		m_RemPacket;
	//}}AFX_DATA
	CString	m_NetworkAddress[6];
	DWORD m_nMaxWsize;
	

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CX25PVCAdvanced)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CX25PVCAdvanced)
	virtual BOOL OnInitDialog();
	afx_msg void OnAutoManage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};



#endif